Skip to main content
POST
/
v2
/
{target}
/
{identifier}
/
attributes
/
{attribute}
/
options
Create a select option
curl --request POST \
  --url https://api.attio.com/v2/{target}/{identifier}/attributes/{attribute}/options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "title": "Medium"
  }
}
'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
      "attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96",
      "option_id": "08c2c59a-c18e-40c6-8dc4-95415313b2ea"
    },
    "title": "Medium",
    "is_archived": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

target
enum<string>
required

Whether the attribute is on an object or a list.

Available options:
objects,
lists
Example:

"lists"

identifier
string
required

A UUID or slug to identify the object or list the select attribute belongs to.

Example:

"33ebdbe9-e529-47c9-b894-0ba25e9c15c0"

attribute
string
required

A UUID or slug to identify the attribute to create a select option on.

Example:

"41252299-f8c7-4b5e-99c9-4ff8321d2f96"

Body

application/json
data
object
required

Response

Success

Success

data
object
required